/* Avoid accidental selections / markups */
.prevent-select {
    user-select: none;
}

/* EuroDaT colors */

$primary: #33636c;
$secondary: #204047;
$button-bg-dark: #123b40;
$button-bg-color: #55c3d2;
$button-hover: #3f9ba6;
$button-color: #fff;
$button-hover-bg-color: #1e646e;
$background-primary-sand: #f0f0eb;
$background-secondary-sand: #d2cdc8;
$background-primary-blue: #eaf2ef;
$danger-hover: #8b1824;
$danger-light: #edb9bf;
$warning-light: #ffeb9c;
$success-light: #96d9b4;
$danger: #e05260;
$warning: #fc3;
$success: #41b475;

/* Widget background color */
.widget-body {
    position: relative;
    min-height: 35rem;
    border: none;
    overflow: hidden;
}

.widget-body::before {
    content: "";
    position: absolute;
    top: -10px;
    left: -10px;
    width: calc(100% + 20px);
    height: calc(100% + 20px);
    background: url("assets/img/EuroDaT_Background.svg") right/cover no-repeat;
    background-color: rgb(255 255 255 / 0%);
    background-blend-mode: lighten;
    filter: blur(6px);
    z-index: -1;
    clip-path: inset(10px);
}

@media (width <= 768px) {
    .widget-body::before {
        content: "";
        position: absolute;
        top: -10px;
        left: -10px;
        width: calc(100% + 20px);
        height: calc(100% + 20px);
        background: url("assets/img/EuroDaT_Background_Mobile.svg") right/cover no-repeat;
        background-color: rgb(255 255 255 / 0%);
        background-blend-mode: lighten;
        filter: blur(6px);
        z-index: -1;
        clip-path: inset(10px);
    }
}

.row {
    --bs-gutter-x: 0 !important;
}

#page-container {
    background-image: url("assets/img/EuroDaT_Background.svg");
    background-size: cover;
    background-position: center;
    height: 35rem;
}

%btn {
    border-radius: 0;
    border-style: solid;
    display: inline-block;
    font-size: 1.125rem;
    text-decoration: none;
    cursor: pointer;
    letter-spacing: 0.5px;
    transition: all 0.6s ease;
    font-weight: 600;
    outline: 0;
}

.btn-default {
    @extend %btn;

    color: $button-color;
    background: $button-bg-color;
    border-color: $button-bg-color;

    &:hover {
        color: $button-color;
        background: $button-hover-bg-color;
        border-color: $button-hover-bg-color;
    }
}

.btn-danger {
    @extend %btn;

    color: $button-color;
    background: $danger;
    border-color: $danger;

    &:hover {
        color: $button-color;
        background: $danger-hover;
        border-color: $danger-hover;
    }
}

.btn-inverse {
    @extend %btn;

    color: $button-bg-color;
    background: $button-color;
    border-style: solid;
    border-width: -5px;
    border-color: $button-bg-color;

    &:hover {
        background: $button-hover-bg-color;
        border-color: $button-hover-bg-color;
    }

    &:disabled {
        opacity: 0.2;

        &:hover {
            cursor: auto !important;
            color: $button-bg-color;
            background: $button-color;
        }
    }
}

.btn-same-size-small {
    width: 7rem;
    height: 3rem;
}

.btn-same-size-large {
    width: 14rem;
    height: 3.5rem;
}

/* Tiles Styling */

.card {
    --bs-border-width: 0px;
    --bs-border-radius: 0;
}

.card-border {
    border: none;
    border-radius: 0;
}

/* Popovers for explanations */

.popover {
    --bs-border-width: 0px;
    --bs-border-radius-lg: 0px;

    box-shadow: 0 8px 15px rgb(0 0 0 / 10%);

    --bs-popover-header-color: white;
}

.popover-header {
    --bs-popover-header-bg: #55c3d2;

    text-align: center;
}

/* Modal */

.alert {
    border-radius: 0;
    border-color: transparent;
}

:root {
    --bs-border-radius-lg: 0 !important;
    --border-radius: 0 !important;
    --bs-alert-border-radius: 0 !important;
}

.btn-modal {
    --bs-btn-close-focus-shadow: transparent;

    border-radius: 0;
}

.modal-content {
    border: none;
}

/* Have a fixed footer */

html,
body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
}

app-root {
    display: flex;
    flex-direction: column;
    flex: 1;
}

main {
    flex: 1;
}

footer {
    background: rgb(0 55 69);
    height: calc(60px + 2rem);

    @media (width <= 768px) {
        height: calc(140px + 5rem);
    }
}
